reportabug Qt application which allows users to create an issue for GitHub projects

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Macros
Public Slots | Public Member Functions | List of all members
GithubModule Class Reference

The GithubModule class creates issue over GitHub. More...

Inheritance diagram for GithubModule:

## Public Slots
void | sendReportUsingGithub (const QMap< QString, QString > info)
| method which creates an issue More...

## Public Member Functions
| GithubModule (QWidget *parent=0, bool debugCmd=false, QMap< QString, QString > params=QMap< QString, QString >())
| GithubModule class constructor. More...
| ~GithubModule ()
| GithubModule class destructor. More...

## Detailed Description

The GithubModule class creates issue over GitHub.

The GitHub API is used for creating issue. Please visit the API page for more details. This module requires an users authentication. The typical POST request is:

curl -X POST -u user:pass -d '{"title":"A new bug","body":"Some error occurs"}' \
https://api.github.com/repos/owner/repo/issues

The module also may send request using given token. In this case request is:

curl -X POST -H "Authorization: token token" -d '{"title":"A new bug","body":"Some error occurs"}' \
https://api.github.com/repos/owner/repo/issues

This module depends on QtNetwork module.

## Constructor & Destructor Documentation

GithubModule::GithubModule | ( | QWidget * | parent = `0`,
|  | bool | debugCmd = `false`,
|  | QMap< QString, QString > | params = `QMap< QString, QString >()`
| ) |  |
| explicit

GithubModule class constructor.

Parameters

  parent | parent object
  debugCmd | show debug messages
  params | dynamic parametrs. Needed keys are the same as in config.h

GithubModule::~GithubModule | ( |  | ) |

GithubModule class destructor.

## Member Function Documentation

void GithubModule::sendReportUsingGithub | ( | const QMap< QString, QString > | info | ) |
| slot

method which creates an issue

Parameters

  info | issue details. Needed keys are: body (body of an issue), password (GitHub password), title (title of an issue), userdata (given GitHub token, it is optional key), username (GitHub user name),

The documentation for this class was generated from the following file:

- githubmodule.h